> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Alert Teams Channels Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/org/alerts/integrations/teams/channels
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/alerts/integrations/teams/channels:
    get:
      tags:
        - Alerts API
      summary: List Alert Teams Channels Endpoint
      operationId: >-
        list_alert_teams_channels_endpoint_api_v1_org_alerts_integrations_teams_channels_get
      parameters:
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListTeamsChannelsResult'
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    ListTeamsChannelsResult:
      properties:
        channels:
          items:
            $ref: '#/components/schemas/TeamsChannelEntry'
          title: Channels
          type: array
      required:
        - channels
      title: ListTeamsChannelsResult
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    TeamsChannelEntry:
      properties:
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
        team_id:
          title: Team Id
          type: string
        team_name:
          title: Team Name
          type: string
        tenant_id:
          title: Tenant Id
          type: string
      required:
        - id
        - name
        - team_id
        - team_name
        - tenant_id
      title: TeamsChannelEntry
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````